[SA18819] WebGUI User Account Creation Vulnerability

2006-02-13T00:00:00
ID SECURITYVULNS:DOC:11408
Type securityvulns
Reporter Securityvulns
Modified 2006-02-13T00:00:00

Description

TITLE: WebGUI User Account Creation Vulnerability

SECUNIA ADVISORY ID: SA18819

VERIFY ADVISORY: http://secunia.com/advisories/18819/

CRITICAL: Moderately critical

IMPACT: Security Bypass

WHERE: >From remote

SOFTWARE: WebGUI 6.x http://secunia.com/product/4293/

DESCRIPTION: A vulnerability has been reported in WebGUI, which can be exploited by malicious people to bypass certain security restrictions.

The vulnerability is cause due to an error within the handling of user account creation. This can be exploited to create new user accounts via a specially-crafted URL even when anonymous user registration has been disabled.

The vulnerability has been reported in versions prior to 6.8.6-gamma.

SOLUTION: Update to version 6.8.6-gamma. http://www.plainblack.com/getwebgui

PROVIDED AND/OR DISCOVERED BY: The vendor credits Luke Bartholemy.

ORIGINAL ADVISORY: http://www.plainblack.com/getwebgui/advisories/webgui-6.8.6-gamma-released


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.